Bug 68963 - USB mouse detected, but no usb-controller in modules.conf
USB mouse detected, but no usb-controller in modules.conf
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-16 11:36 EDT by John Reiser
Modified: 2014-03-16 22:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-31 15:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/sysconfig/hwconf (current contents) (1.99 KB, text/plain)
2002-07-22 12:50 EDT, John Reiser
no flags Details
kudzu -p -b pci (1.53 KB, text/plain)
2002-10-30 15:15 EST, Jason Tibbitts
no flags Details

  None (edit)
Description John Reiser 2002-07-16 11:36:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
A "Generic 3-button mouse (USB)" was detected early during
a fresh text-mode install, but the resulting /etc/modules.conf
did not contain "alias usb-controller usb-ohci", so the mouse
did not work at first boot after installation finished.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Do a fresh install in text mode with a USB mouse as the only USB device on a
ohci add-in card.  [Text mode was specified (and later
forced) because only 32MB RAM.  But this seems like not part of
the problem.]
2.
3.
	

Actual Results:  No "alias usb-controller usb-ohci" in /etc/modules.conf.
On boot: USB controller not initialized, USB mouse not initialized,
kudzu says mouse has been removed from system.

Expected Results:  "alias usb-controller usb-ohci" present in /etc/modules.conf.
On boot: USB controller and USB mouse initialized; no complaint from kudzu.

Additional info:

-----devices.usb (after correcting modules.conf)
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=118/900 us (13%), #Int=  1, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB OHCI Root Hub
S:  SerialNumber=c2869000
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms
T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=1.5 MxCh= 0
D:  Ver= 1.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=046d ProdID=c401 Rev= 2.10
S:  Manufacturer=Logitech
S:  Product=USB-PS/2 Trackball
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr= 50mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=hid
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=10ms
-----

-----/proc/pci
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Silicon Integrated Systems [SiS] 85C501/2 (rev 0).
  Bus  0, device   1, function  0:
    ISA bridge: Silicon Integrated Systems [SiS] 85C503/5513 (rev 0).
  Bus  0, device  13, function  0:
    USB Controller: OPTi Inc. 82C861 (rev 16).
      IRQ 9.
      Master Capable.  Latency=64.  
      Non-prefetchable 32 bit memory at 0xf1000000 [0xf1000fff].
  Bus  0, device  15, function  0:
    VGA compatible controller: Cirrus Logic GD 5434-8 [Alpine] (rev 142).
      IRQ 10.
      Non-prefetchable 32 bit memory at 0xf0000000 [0xf0ffffff].
  Bus  0, device  17, function  0:
    Ethernet controller: Digital Equipment Corporation DECchip 21140 [FasterNet]
(rev 34).
      IRQ 11.
      Master Capable.  Latency=64.  Min Gnt=20.Max Lat=40.
      I/O at 0x6000 [0x607f].
      Non-prefetchable 32 bit memory at 0xf1001000 [0xf100107f].
  Bus  0, device  19, function  0:
    IDE interface: CMD Technology Inc PCI0640 (rev 2).
      IRQ 14.
-----

-----devices.pci (after correcting modules.conf)
0000
10390406
0
00000000
00000000
00000000

00000000
00000000
00000000
00000000
00000000

00000000
00000000
00000000
00000000
00000000

00000000

0008
10390008
0
00000000
00000000
00000000

00000000
00000000
00000000
00000000
00000000

00000000
00000000
00000000
00000000
00000000

00000000

0068
1045c861
9
f1000000
00000000
00000000

00000000
00000000
00000000
00000000
00001000

00000000
00000000
00000000
00000000
00000000

00000000
usb-ohci
0078
101300a8
a
f0000000
00000000
00000000

00000000
00000000
00000000
00000000
01000000

00000000
00000000
00000000
00000000
00000000

01000000

0088
10110009
b
00006001
f1001000
00000000

00000000
00000000
00000000
00000000
00000080

00000080
00000000
00000000
00000000
00000000

00040000
tulip
0098
10950640
e
00000000
00000000
00000000

00000000
00000000
00000000
00000000
00000000

00000000
00000000
00000000
00000000
00000000

00000000

-----

-----modules.conf (corrected)
alias usb-controller usb-ohci   ## this line omitted by anaconda
alias parport_lowlevel parport_pc
alias eth0 tulip
-----

-----/var/log/messages [excerpt; after fixing modules.conf]
Jul 16 07:28:16 pdxdot rc.sysinit: Mounting USB filesystem:  succeeded 
Jul 16 07:28:16 pdxdot rc.sysinit: Initializing USB controller (usb-ohci): 
succeeded 
Jul 16 07:28:16 pdxdot modprobe: insmod:  
Jul 16 07:28:16 pdxdot modprobe: a module named input already exists 
Jul 16 07:28:16 pdxdot modprobe: insmod: insmod
/lib/modules/2.4.18-5/kernel/drivers/input/input.o failed 
Jul 16 07:28:16 pdxdot modprobe: insmod: insmod hid failed 
Jul 16 07:28:16 pdxdot rc.sysinit: Initializing USB HID interface:  failed 
Jul 16 07:28:16 pdxdot rc.sysinit: Initializing USB mouse:  succeeded 
-----
Comment 1 Jeremy Katz 2002-07-16 12:50:50 EDT
What does `/usr/sbin/kudzu -p -b USB` print out?
Comment 2 John Reiser 2002-07-16 13:59:25 EDT
-----$(/usr/sbin/kudzu -p -b USB)
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB OHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
vendorId: 0000
deviceId: 0000
productrevision: unknown
-
class: MOUSE
bus: USB
detached: 0
device: input/mice
driver: mousedev
desc: "Logitech Inc. Trackball"
usbclass: 3
usbsubclass: 1
usbprotocol: 2
usbbus: 1
usblevel: 1
usbport: 0
vendorId: 046d
deviceId: c401
productrevision: unknown
-----


The only thing that looks strange to me is vendorId:deviceId
of 0000:0000 for the hub.
Comment 3 John Reiser 2002-07-16 14:06:20 EDT
If I comment out "# alias usb-controller usb-ohci" from modules.conf
and reboot 'single', then "/usr/sbni/kudzu -p -b USB" gives
an empty file.

But the mouse (trackball) was detected early during installation,
so somebody knows that USB is there.
Comment 4 Michael Fulbright 2002-07-18 13:46:40 EDT
Sounds like a kudzu issue.
Comment 5 Bill Nottingham 2002-07-18 17:58:55 EDT
What does kudzu -p -b pci say?
Comment 6 John Reiser 2002-07-18 18:15:03 EDT
The output of "kudzu -p -b USB" was submitted two days ago (Tuesday at 2pm).
It shows the hub (with 0000:0000 for vendor:device), and the mouse.
That's after inserting "alias usb-controller usb-ohci" into /etc/modules.conf
and rebooting so that USB and USB mouse are initialized.

If there is no alias for usb-controller in /etc/modules.conf, then upon booting
neither the USB nor the mouse are initialized [at least, there are no such lines
in the console printout like there are when an alias is present], and "kudzu -p
-b USB" gives an empty output (length 0).
Comment 7 John Reiser 2002-07-18 18:18:48 EDT
I'll get the output from kudzu on the pci in just a little while.
[Sorry for misreading "pci" as "USB".]
Comment 8 John Reiser 2002-07-18 18:42:58 EDT
Here is the output from "/usr/sbin/kudzu -p -b pci":
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Silicon Integrated Systems [SiS]|85C501/2"
vendorId: 1039
deviceId: 0406
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Silicon Integrated Systems [SiS]|85C503/5513"
vendorId: 1039
deviceId: 0008
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "CMD Technology Inc|PCI0640"
vendorId: 1095
deviceId: 0640
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: NETWORK
bus: PCI
detached: 0
device: eth
driver: tulip
desc: "DEC|DECchip 21140 [FasterNet]"
vendorId: 1011
deviceId: 0009
subVendorId: 1385
subDeviceId: 1100
pciType: 1
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:Cirrus Logic GD543x
desc: "Cirrus Logic|GD 5434-8 [Alpine]"
vendorId: 1013
deviceId: 00a8
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: USB
bus: PCI
detached: 0
driver: usb-ohci
desc: "OPTi Inc.|82C861"
vendorId: 1045
deviceId: c861
subVendorId: 1045
subDeviceId: c861
pciType: 1
-----

The PCI card is model TK9906 by INTEK21 of Fremont, CA;
a Fry's Electronics special.
Comment 9 Bill Nottingham 2002-07-22 00:58:48 EDT
Was anything in /etc/modules.conf after the install? Did /etc/sysconfig/hwconf
exist after the install?
Comment 10 John Reiser 2002-07-22 12:17:30 EDT
The contents of /etc/modules.conf was
-----
alias parport_lowlevel parport_pc
alias eth0 tulip
-----
which is correct except for omitting "alias usb-controller usb-ohci".

I'll power up that machine and report the present state of
/etc/sysconfig/hwconf, which was not recorded the 1st time
(and might have been changed by successful configuration of mouse
after inserting the alias for the usb-controller.)
Comment 11 John Reiser 2002-07-22 12:50:39 EDT
Created attachment 66326 [details]
/etc/sysconfig/hwconf  (current contents)
Comment 12 John Reiser 2002-07-31 15:32:02 EDT
A fresh install of 2nd limbo beta 7.3.93-2 produces the correct
/etc/modules.conf, containing "alias usb-controller usb-ohci" on the last line.
Comment 13 Bill Nottingham 2002-08-12 17:06:44 EDT
OK, I will then presume this is fixed.
Comment 14 Jason Tibbitts 2002-10-30 15:13:46 EST
A problem quite similar to this has happened to me with Red Hat 8.0, and indeed
in 7.1 and 7.2 as well. (I skipped 7.3.)  In fact, a USB controller has never
been detected on any hardware that I have ever installed Red Hat on.

The hardware I'm testing with now is significantly different (VIA KT266 chipset,
UHCI instead of OHCI) but while Anaconda correctly finds the USB mouse it does
not add anything to modules.conf.  Upon the first reboot, kudzu reports the
removal of the mouse.  kudzu -p -b USB reports nothing at all until I boot with
"alias usb-controller usb-uhci" in /etc/modules.conf.  kudzu -p -b pci will
follow in an attachment.
Comment 15 Jason Tibbitts 2002-10-30 15:15:06 EST
Created attachment 82764 [details]
kudzu -p -b pci
Comment 16 Bill Nottingham 2002-10-30 22:26:31 EST
Hm, I'm guessing newer kernel tweaks cause the USB controller to not have an
interrupt assigned to it until the module is loaded.

Note You need to log in before you can comment on or make changes to this bug.